
from flask import Flask, redirect, url_for
from flask_login import LoginManager, UserMixin, login_user, logout_user, login_required, current_user

app = Flask(__name__)
app.secret_key = 'your_secret_key'

login_manager = LoginManager()
login_manager.init_app(app)

class User(UserMixin):
    def __init__(self, id):
        self.id = id

@login_manager.user_loader
def load_user(user_id):
    return User(user_id)

def login_with_redirect(username):
    user = User(username)
    login_user(user)
    return redirect(url_for('dashboard'))

def logout_user_func():
    logout_user()
    return redirect(url_for('login'))

def dashboard():
    if not current_user.is_authenticated:
        return redirect(url_for('login'))
    return 'Welcome to the Dashboard!'

def check_login_status():
    if current_user.is_authenticated:
        return f'You are logged in as {current_user.id}'
    else:
        return 'You are not logged in'



